# Iconfont

- category: API
- chinese: iconfont
- type: API 能力

---

## 设计思路

Iconfont 是与 web iconfont 类似的能力，用于设置 iconfont。

Iconfont 资源可以从 [iconfont.cn](http://iconfont.cn) 等多个平台导出。

本组件目前只支持单色的 ttf 文件，暂不支持 svg 格式。

**注意** Weex 容器内，如果 iconfont 资源如果从远程拉取，可能会存在首次渲染无法成功的情况，如果对 icon 展现要求较高，请使用图片，或实现客户端对字体资源预加载 (或客户端预置)，以避免出现此问题。

## API

### Iconfont 方法

```js
Iconfont({
  name: 'your-unique-font-name',
  url: 'https://at.alicdn.com/t/font_1474198576_7440977.ttf'
});

// \u 写法，code 需为变量
const code = '\ue60f';
<Text style={{ fontSize: 40, fontFamily: 'your-unique-font-name' }}>{code}</Text>;

// 或者不用任何变量
<Text style={{ fontSize: 40, fontFamily: 'your-unique-font-name' }}>&#xe600;</Text>;
```

#### options

- options.name : iconfont 名称，例如 'iconfont1'
- options.url : iconfont 路径，当前仅支持 `ttf` 与 `woff` 格式

### formatUnicode 方法

```js
const { formatUnicode } = Iconfont;
formatUnicode('&#xe600;'); //\ue600
```

用于将 unicode 转换为 weex 和 H5 同时能够使用的实体字符格式;
